#ifndef __TEXTPROP_P_H__
#define __TEXTPROP_P_H__

extern Lisp_Object copy_text_properties _P_((Lisp_Object start,
                                             Lisp_Object end, Lisp_Object src,
                                             Lisp_Object pos, Lisp_Object dest,
                                             Lisp_Object prop));
extern _VOID_ syms_of_textprop _P_((void));

DEFUN_P(Ftext_properties_at, (Lisp_Object pos, Lisp_Object object));
DEFUN_P(Fget_text_property, (Lisp_Object pos, register Lisp_Object prop,
                             Lisp_Object object));
DEFUN_P(Fnext_property_change, (Lisp_Object pos, Lisp_Object object));
DEFUN_P(Fnext_single_property_change, (Lisp_Object pos, Lisp_Object prop,
                                       Lisp_Object object));
DEFUN_P(Fprevious_property_change, (Lisp_Object pos, Lisp_Object object));
DEFUN_P(Fprevious_single_property_change, (Lisp_Object pos, Lisp_Object prop,
                                           Lisp_Object object));
DEFUN_P(Fadd_text_properties, (Lisp_Object start, Lisp_Object end,
                               Lisp_Object properties, Lisp_Object object));
DEFUN_P(Fput_text_property, (Lisp_Object start, Lisp_Object end,
                             Lisp_Object prop, Lisp_Object value,
                             Lisp_Object object));
DEFUN_P(Fset_text_properties, (Lisp_Object start, Lisp_Object end,
                               Lisp_Object props, Lisp_Object object));
DEFUN_P(Fremove_text_properties, (Lisp_Object start, Lisp_Object end,
                                  Lisp_Object props, Lisp_Object object));
DEFUN_P(Ftext_property_any, (Lisp_Object start, Lisp_Object end,
                             Lisp_Object prop, Lisp_Object value,
                             Lisp_Object object));
DEFUN_P(Ftext_property_not_all, (Lisp_Object start, Lisp_Object end,
                                 Lisp_Object prop, Lisp_Object value,
                                 Lisp_Object object));

#endif
